Package de.willuhn.jameica.hbci

# Class PassportRegistry

java.lang.Object
de.willuhn.jameica.hbci.PassportRegistry

public class PassportRegistry extends Object
Sucht alle verfuegbaren Passports und prueft diese auf Verwendbarkeit.

## Constructor Summary

Constructors
Constructor
Description
`PassportRegistry()`

## Method Summary

Modifier and Type
Method
Description
`static Passport`
`findByClass(String classname)`
Liefert eine Instanz des angegebenen Passports.
`static Passport`
`findByName(String name)`
Liefert eine Instanz des angegebenen Passports.
`static Passport[]`
`getPassports()`
Liefert ein Array mit allen verfuegbaren Passports.
`static void`
`init()`
Initialisiert die Passport-Registry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PassportRegistry

public PassportRegistry()

## Method Details

### init

public static void init()
Initialisiert die Passport-Registry.

### findByName

public static Passport findByName(String name) throws Exception
Liefert eine Instanz des angegebenen Passports.

Parameters:
  `name` - Sprechender Name des Passports.
Returns:
  Instanz des Passports.
Throws:
  `Exception`

### findByClass

public static Passport findByClass(String classname) throws Exception
Liefert eine Instanz des angegebenen Passports.

Parameters:
  `classname` - Java-Klasse des Passports.
Returns:
  Instanz des Passports.
Throws:
  `Exception`

### getPassports

public static Passport[] getPassports() throws Exception
Liefert ein Array mit allen verfuegbaren Passports.

Returns:
  Liste der Passports.
Throws:
  `Exception`